ia32-libs_2.1ubuntu2_amd64 could not be installed

Asked by Nizar Kerkeni on 2007-09-25

Impossible to update ia32-libs from ia32-libs 2.1ubuntu1 to ia32-libs_2.1ubuntu2_amd64 on amd64
I reported the problem here https://bugs.launchpad.net/ubuntu/+source/ia32-libs/+bug/138145/comments/28 but it seems that I'm the only one having this problem
After update I got this error message :
error message (in french) :
Préparation du remplacement de ia32-libs 2.1ubuntu1 (en utilisant .../ia32-libs_2.1ubuntu2_amd64.deb) ...
Dépaquetage de la mise à jour de ia32-libs ...
dpkg : erreur de traitement de /var/cache/apt/archives/ia32-libs_2.1ubuntu2_amd64.deb (--unpack) :
 erreur pendant la création du lien symbolique « ./usr/lib32/libGL.so.1 »: Aucun fichier ou répertoire de ce type
I translate : Error while making symbolic link « ./usr/lib32/libGL.so.1 » no such file or directory !!

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu ia32-libs Edit question
Assignee:
No assignee Edit question
Solved by:
Nizar Kerkeni
Solved:
2007-10-01
Last query:
2007-10-01
Last reply:
2007-09-27
Benoit Malet (benoit-malet) said : #1

Hello !

Can you please tell us exactly which command you try to use to have these errors ?

Pouvez vous nous indiquer exactement quele commande vous invoquez (ou quelle applications vous lancez) pour obtenir ces erreurs ?

Vous pouvez vous exprimer en anglais ou en français à votre convenance. (mais bien sûr un plus grand nombre de personnes sont susceptibles de vous répondre en anglais).

Regards/Cordialement,
Benoît

Nizar Kerkeni (nizarus) said : #2

Hello / Bonjour
I have the error message with th command " sudo apt-get install ia32-libs"
the complete output is :
$ sudo apt-get install ia32-libs
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libgammu1 python-gammu
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les NOUVEAUX paquets suivants seront installés :
  ia32-libs
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
2 partiellement installés ou enlevés.
Il est nécessaire de prendre 0o/27,2Mo dans les archives.
Après dépaquetage, 72,7Mo d'espace disque supplémentaires seront utilisés.
(Lecture de la base de données... 193329 fichiers et répertoires déjà installés.)
Dépaquetage de ia32-libs (à partir de .../ia32-libs_2.1ubuntu2_amd64.deb) ...
dpkg : erreur de traitement de /var/cache/apt/archives/ia32-libs_2.1ubuntu2_amd64.deb (--unpack) :
 erreur pendant la création du lien symbolique « ./usr/lib32/libGL.so.1 »: Aucun fichier ou répertoire de ce type
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/ia32-libs_2.1ubuntu2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Wrwrwr (wrwrwr) said : #3

You seem to miss the libGL.so.1 (32bit, opengl library).

This comes with graphics drivers (nvidia-glx, -new, -legacy, xorg-driver-fglrx etc.).

This could be probably classified as a missing ia32-lib in gutsy.

Wrwrwr (wrwrwr) said : #4

Wanted to say: a missing dependency of ia32-lib.

Nizar Kerkeni (nizarus) said : #5

My graphic card is an ATI so no need to instal (nvidia-glx, -new, -legacy, xorg-driver-fglrx etc.)

Wrwrwr (wrwrwr) said : #6

Ati proprietary driver is called fglrx, but if your card is not very new it probably works fine with the open source mesa drivers. Mesa should provide libGL.so.1 also.

Try making a symbolic link libGL.so.1 to some libGL.so.1.x that you can find in /usr/lib. In my system this actually links to libGL.so.1.2. Please, don't overwrite anything there as that could get you in trouble.

Let me know if you need some more detailed instructions with this. If you could copy here the output of "ls -l /usr/lib/libGL*" that would give some info about what libraries do you have installed.

Nizar Kerkeni (nizarus) said : #7

[code]
$ ll /usr/lib/libGL*
lrwxrwxrwx 1 root root 16 2007-08-03 17:42 /usr/lib/libGLEW.so.1.4 -> libGLEW.so.1.4.0
-rw-r--r-- 1 root root 267K 2007-07-09 19:53 /usr/lib/libGLEW.so.1.4.0
lrwxrwxrwx 1 root root 12 2007-08-10 15:05 /usr/lib/libGL.so.1 -> libGL.so.1.2
-rw-r--r-- 1 root root 507K 2007-08-17 00:44 /usr/lib/libGL.so.1.2
lrwxrwxrwx 1 root root 20 2007-08-17 12:05 /usr/lib/libGLU.so.1 -> libGLU.so.1.3.070001
-rw-r--r-- 1 root root 529K 2007-08-17 00:44 /usr/lib/libGLU.so.1.3.070001
[\code]
The symbolic link libGL.so.1 exist in /usr/lib should I copy them (libGL.so.1 and libGL.so.1.2) to /usr/lib32 ??
When I extract ia32-libs_2.1ubuntu2_amd64 package I find on it this tow files !!

Wrwrwr (wrwrwr) said : #8

Sorry, i've given a wrong command, listing /usr/lib32/libGL* would be more informative. In /usr/lib you probably have 64 bit versions of those libraries.

Copying them may help, but making some link there should probably be enough.

Nizar Kerkeni (nizarus) said : #9

initially there is no libGL* in /usr/lib32 and installing ia32-libs fail. After that I manually extract the tow files (libGL.so.1 and libGL.so.1.2) from the deb package and I copy them to /usr/lib32. When I tray to re-install the package it fails too !!
Actually in /usr/lib32 :
$ ll /usr/lib32/libGL*
lrwxrwxrwx 1 root root 12 2007-09-18 17:24 /usr/lib32/libGL.so.1 -> libGL.so.1.2
-rw-r--r-- 1 root root 378K 2007-08-17 00:10 /usr/lib32/libGL.so.1.2
lrwxrwxrwx 1 root root 20 2007-09-18 17:24 /usr/lib32/libGLU.so.1 -> libGLU.so.1.3.070001
-rw-r--r-- 1 root root 521K 2007-08-17 00:10 /usr/lib32/libGLU.so.1.3.070001

Wrwrwr (wrwrwr) said : #10

With the same error, that it misses this very file? Maybe something is out of order with your packaging system. Can you install anything else without a problem?

Maybe try fixing broken dependencies (under Edit in Synaptic) or try "dpkg --audit" to see what are those two partially installed or removed packages.

Nizar Kerkeni (nizarus) said : #11

Can you install anything else without a problem?
Yes without any problem. Daily I update gutsy packages.

$dpkg --audit
$
all is alright, but still impossible to install ia32-libs

Nizar Kerkeni (nizarus) said : #12

After today update the package ia32-libs is installed without problems !!